Will supercard dstwo work on current 3ds firmware?

Discussion in 'Supercard' started by carnage781, Nov 3, 2014.

  1. carnage781
    OP

    carnage781 Member

    Newcomer
    35
    0
    Aug 28, 2010
    United States
    Ive used it alot back when I had a dsixl and gettin a 3ds xl soon possibly. Not too familiar with how these guys work on one. If it does work think it is futureproof from further updates?

    Biggestbquestion, would I still be able to use the 3ds eshop / store?
     
  2. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,569
    1,791
    Apr 30, 2012
    Yes, yes, and more yes. Go for it.
     
  3. SSG Vegeta

    SSG Vegeta GBAtemp Fan

    Member
    435
    89
    Jul 25, 2013
    United States
    What do you want for the DSi ?
     
  4. carnage781
    OP

    carnage781 Member

    Newcomer
    35
    0
    Aug 28, 2010
    United States
    Thanks. If its good to go I will definitely pick one up when I get a 3dsxl
     
  5. ferret7463

    ferret7463 GBAtemp Advanced Fan

    Member
    593
    95
    Sep 21, 2010
    United States
    I don't think Nintendo even tries to block DS cards anymore. It would surprise me if they did in the next firmware.
     
  6. carnage781
    OP

    carnage781 Member

    Newcomer
    35
    0
    Aug 28, 2010
    United States
    Read a few posts saying newest FW doesnt work, any truth to this? Just got 3ds
     
  7. SScorpio

    SScorpio Member

    Newcomer
    16
    2
    Jan 30, 2008
    United States
    It works on 9.2.20. Not sure about the new 9.4.21.

    Since you just got your 3DS, you might want to hold off on updating the firmware so you can use the Gateway.
     
  8. carnage781
    OP

    carnage781 Member

    Newcomer
    35
    0
    Aug 28, 2010
    United States
    Well I had already updated it, just did research as i was ready to finally buy it then came across ppl saying it doesnt work,
     
  9. carnage781
    OP

    carnage781 Member

    Newcomer
    35
    0
    Aug 28, 2010
    United States
    Blah out of stock >_<